import { TreeNode } from './helpers/node';
export declare type ClassesType = {
    children?: string;
    collapsedChildren?: string;
    level?: string;
    nodeWrapper?: string;
    parentChildren?: string;
    selectedNodeWrapper?: string;
    treeWrapper?: string;
};
export interface HyperTreeViewMainProps {
    classes?: ClassesType;
    data: TreeNode[];
    depth?: number;
    depthGap?: number;
    disableHorizontalLines?: boolean;
    disableLines?: boolean;
    disableVerticalLines?: boolean;
    displayedName?: string | ((node: any) => string);
    gapMode?: 'margin' | 'padding';
    horizontalLineStyles?: React.CSSProperties;
    renderNode?: (props: DefaultNodeProps) => React.ReactNode;
    setOpen?: (node: any) => void;
    setSelected?: (node: any, selected?: boolean) => void;
    staticNodeHeight?: number;
    verticalLineOffset?: number;
    verticalLineStyles?: React.CSSProperties;
    draggableHandlers: any;
}
export interface HyperTreeViewPrivateProps {
    classes?: ClassesType;
    depth: number;
    depthGap?: number;
    disableHorizontalLines?: boolean;
    disableLines?: boolean;
    disableVerticalLines?: boolean;
    displayedName?: string | ((node: any) => string);
    gapMode?: 'margin' | 'padding';
    horizontalLineStyles?: React.CSSProperties;
    nodeHeight: number;
    ref?: React.Ref<HTMLDivElement>;
    renderNode?: (props: DefaultNodeProps) => React.ReactNode;
    setOpen?: (node: any) => void;
    setSelected?: (node: any, selected?: boolean) => void;
    staticNodeHeight?: number;
    verticalLineOffset?: number;
    verticalLineStyles?: React.CSSProperties;
    draggableHandlers: any;
}
export interface HyperTreeViewProps extends HyperTreeViewPrivateProps {
    data: TreeNode[];
}
export interface HyperTreeNodeProps extends HyperTreeViewPrivateProps {
    node: TreeNode;
}
export declare type DefaultNodeProps = {
    depth?: number;
    depthGap?: number;
    displayedName?: string | ((node: any) => string);
    node: TreeNode;
    nodeRef?: React.Ref<HTMLDivElement>;
    offsetProp?: string;
    onSelect: ((event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void);
    onToggle: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
};
